#ifndef __BRAIN_OBJECT_PARTS__WINDOW
#define __BRAIN_OBJECT_PARTS__WINDOW

class OPartsWnd : public BActiveWindow {
public:
	OPartsWnd(int x,int y,int dx,int dy,OBJECT *o,int sf,TTF_Font *font);
	~OPartsWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	OBJECT *object;
	int nparts;
	int act_part;
	int tile[MAX_PARTS];
	int link_part[MAX_PARTS];					/* to which part is linked	*/ 
	int link_a[MAX_PARTS],link_b[MAX_PARTS];	/* the two links to be tied together	*/ 
	int part_precedence[MAX_PARTS];

	bool show_tiles;

	int centerx,centery,width,height;
	int scaling_factor;
};

#endif

